> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List employee documents

> Get paginated documents for an employee



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/employees/{employee_id}/documents
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/employees/{employee_id}/documents:
    get:
      tags:
        - Core
        - Documents
      summary: List employee documents
      description: Get paginated documents for an employee
      operationId: >-
        list_documents_organizations__organization_id__employees__employee_id__documents_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: employee_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Employee Id
        - name: document_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DocumentType'
              - type: 'null'
            description: Filter by document type
            title: Document Type
          description: Filter by document type
        - name: status
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/DocumentStatus'
            description: 'Filter by status (default: active)'
            default: active
          description: 'Filter by status (default: active)'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: prev_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Prev Cursor
        - name: sort
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default:
              - id
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_DocumentResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    DocumentType:
      type: string
      enum:
        - payslip
        - contract
        - work_permit
        - id_document
        - proof_of_address
        - org_logo
        - uk_bacs_file
        - uk_bacs_file_csv
        - other
      title: DocumentType
    DocumentStatus:
      type: string
      enum:
        - active
        - archived
        - deleted
        - pending_upload
      title: DocumentStatus
    PaginatedResponse_DocumentResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DocumentResponse'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      additionalProperties: true
      type: object
      required:
        - items
        - pagination
      title: PaginatedResponse[DocumentResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentResponse:
      properties:
        id:
          type: string
          title: Id
          description: Document ID
        employee_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Employee Id
          description: Employee ID
        org_id:
          type: string
          title: Org Id
          description: Employee ID
        document_type:
          $ref: '#/components/schemas/DocumentType'
        document_name:
          type: string
          title: Document Name
          description: User-friendly document name
        gcs_bucket:
          type: string
          title: Gcs Bucket
          description: GCS bucket name
        gcs_path:
          type: string
          title: Gcs Path
          description: GCS path
        file_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size Bytes
          description: File size in bytes
        mime_type:
          type: string
          title: Mime Type
        document_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Document Date
          description: Document date/period
        template_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Template Id
          description: Template ID (if generated)
        status:
          $ref: '#/components/schemas/DocumentStatus'
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: User who created the document
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update timestamp
      additionalProperties: true
      type: object
      required:
        - id
        - employee_id
        - org_id
        - document_type
        - document_name
        - gcs_bucket
        - gcs_path
        - mime_type
        - status
        - created_at
      title: DocumentResponse
      description: Response schema for document information.
    PaginationMeta:
      properties:
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
          default: false
        has_prev:
          type: boolean
          title: Has Prev
          default: false
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
        total:
          type: integer
          title: Total
          default: 0
      additionalProperties: true
      type: object
      required:
        - limit
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````